Subject: Re: bug#53218: 27.2; image garbage display
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 12 Jan 2022 21:17:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Thu, 13 Jan 2022 02:30:29 +0900
> 
> 
> Evaluate the form below, a red rectangle remains in the lower half of
> the window.
> 
> (let ((buf (generate-new-buffer "tmp")))
>   (switch-to-buffer buf)
>   (progn (insert "\nx")
>          (goto-char (point-min)))
>   (redisplay)
>   (let* ((pbm (format "P1\n1 1\n1"))
>          (red  (create-image pbm 'pbm t :foreground "red"
>                              :height 400 :sacle 1)))
>     (insert-image red))
>   (redisplay)
>   (delete-char -1))

I can reproduce this in Emacs 27.2, but not in Emacs 28 or 29.

So I guess this problem was already fixed since Emacs 27.2, and I'm
closing this bug report.

Thanks.